# HG changeset patch
# Node ID 1de380036721
# Parent  5362a1727bf6
diff --git a/gplugin/tests/test-bind-global.c b/gplugin/tests/test-bind-global.c
--- a/gplugin/tests/test-bind-global.c
+++ b/gplugin/tests/test-bind-global.c
@@ -52,8 +52,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-core.c b/gplugin/tests/test-core.c
--- a/gplugin/tests/test-core.c
+++ b/gplugin/tests/test-core.c
@@ -148,7 +148,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	g_test_add_func("/core/init_uninit", test_gplugin_init_uninit);
 	g_test_add_func("/core/init_init_uninit", test_gplugin_init_init_uninit);
diff --git a/gplugin/tests/test-dynamic-type.c b/gplugin/tests/test-dynamic-type.c
--- a/gplugin/tests/test-dynamic-type.c
+++ b/gplugin/tests/test-dynamic-type.c
@@ -82,7 +82,7 @@
 main(gint argc, gchar **argv)
 {
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-find-plugins.c b/gplugin/tests/test-find-plugins.c
--- a/gplugin/tests/test-find-plugins.c
+++ b/gplugin/tests/test-find-plugins.c
@@ -148,7 +148,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	g_test_add_func(
 		"/manager/find_plugins/with_state",
diff --git a/gplugin/tests/test-id-collision.c b/gplugin/tests/test-id-collision.c
--- a/gplugin/tests/test-id-collision.c
+++ b/gplugin/tests/test-id-collision.c
@@ -51,7 +51,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-id-normalize.c b/gplugin/tests/test-id-normalize.c
--- a/gplugin/tests/test-id-normalize.c
+++ b/gplugin/tests/test-id-normalize.c
@@ -95,7 +95,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-load-on-query.c b/gplugin/tests/test-load-on-query.c
--- a/gplugin/tests/test-load-on-query.c
+++ b/gplugin/tests/test-load-on-query.c
@@ -84,7 +84,7 @@
 main(gint argc, gchar **argv)
 {
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-loader-registration.c b/gplugin/tests/test-loader-registration.c
--- a/gplugin/tests/test-loader-registration.c
+++ b/gplugin/tests/test-loader-registration.c
@@ -198,7 +198,7 @@
 {
 	gint r = 0;
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-loader.c b/gplugin/tests/test-loader.c
--- a/gplugin/tests/test-loader.c
+++ b/gplugin/tests/test-loader.c
@@ -330,7 +330,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	g_test_add_func("/loader/properties", test_gplugin_loader_properties);
 	g_test_add_func("/loader/methods", test_gplugin_loader_methods);
diff --git a/gplugin/tests/test-native-loader.c b/gplugin/tests/test-native-loader.c
--- a/gplugin/tests/test-native-loader.c
+++ b/gplugin/tests/test-native-loader.c
@@ -90,7 +90,7 @@
 main(gint argc, gchar **argv)
 {
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-newest-version.c b/gplugin/tests/test-newest-version.c
--- a/gplugin/tests/test-newest-version.c
+++ b/gplugin/tests/test-newest-version.c
@@ -94,7 +94,7 @@
 main(gint argc, gchar **argv)
 {
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-option-group.c b/gplugin/tests/test-option-group.c
--- a/gplugin/tests/test-option-group.c
+++ b/gplugin/tests/test-option-group.c
@@ -189,7 +189,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	g_test_add_func(
 		"/option-group/default-paths",
diff --git a/gplugin/tests/test-plugin-info.c b/gplugin/tests/test-plugin-info.c
--- a/gplugin/tests/test-plugin-info.c
+++ b/gplugin/tests/test-plugin-info.c
@@ -409,7 +409,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-plugin-manager-paths.c b/gplugin/tests/test-plugin-manager-paths.c
--- a/gplugin/tests/test-plugin-manager-paths.c
+++ b/gplugin/tests/test-plugin-manager-paths.c
@@ -289,7 +289,7 @@
 main(gint argc, gchar **argv)
 {
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-signals.c b/gplugin/tests/test-signals.c
--- a/gplugin/tests/test-signals.c
+++ b/gplugin/tests/test-signals.c
@@ -407,7 +407,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-unresolved-symbol.c b/gplugin/tests/test-unresolved-symbol.c
--- a/gplugin/tests/test-unresolved-symbol.c
+++ b/gplugin/tests/test-unresolved-symbol.c
@@ -50,7 +50,7 @@
 main(gint argc, gchar **argv)
 {
 
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-version-compare.c b/gplugin/tests/test-version-compare.c
--- a/gplugin/tests/test-version-compare.c
+++ b/gplugin/tests/test-version-compare.c
@@ -152,7 +152,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
diff --git a/gplugin/tests/test-versioned-dependencies.c b/gplugin/tests/test-versioned-dependencies.c
--- a/gplugin/tests/test-versioned-dependencies.c
+++ b/gplugin/tests/test-versioned-dependencies.c
@@ -91,7 +91,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	/* test the load on query flag */
 	g_test_add_func(
diff --git a/lua/tests/meson.build b/lua/tests/meson.build
--- a/lua/tests/meson.build
+++ b/lua/tests/meson.build
@@ -13,4 +13,4 @@
 # Add the test plugins path to our environment variable
 devenv.append('GPLUGIN_PLUGIN_PATH', meson.current_source_dir() / 'plugins')
 
-endif  # lua
+endif # lua
diff --git a/lua/tests/test-lua-loader.c b/lua/tests/test-lua-loader.c
--- a/lua/tests/test-lua-loader.c
+++ b/lua/tests/test-lua-loader.c
@@ -23,7 +23,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(LUA_LOADER_DIR, LUA_PLUGIN_DIR, "lua");
 
diff --git a/perl5/tests/test-perl5-loader.c b/perl5/tests/test-perl5-loader.c
--- a/perl5/tests/test-perl5-loader.c
+++ b/perl5/tests/test-perl5-loader.c
@@ -23,7 +23,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(PERL5_LOADER_DIR, PERL5_PLUGIN_DIR, "perl5");
 
diff --git a/python3/tests/meson.build b/python3/tests/meson.build
--- a/python3/tests/meson.build
+++ b/python3/tests/meson.build
@@ -22,4 +22,4 @@
 # Add the test plugins path to our environment variable
 devenv.append('GPLUGIN_PLUGIN_PATH', meson.current_source_dir() / 'plugins')
 
-endif  # python3
+endif # python3
diff --git a/python3/tests/test-python3-loader.c b/python3/tests/test-python3-loader.c
--- a/python3/tests/test-python3-loader.c
+++ b/python3/tests/test-python3-loader.c
@@ -26,7 +26,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(
 		PYTHON3_LOADER_DIR,
diff --git a/python3/tests/test-python3-utils.c b/python3/tests/test-python3-utils.c
--- a/python3/tests/test-python3-utils.c
+++ b/python3/tests/test-python3-utils.c
@@ -68,7 +68,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	/* tests */
 	g_test_add_func(
diff --git a/rust/tests/test-rust-loading.c b/rust/tests/test-rust-loading.c
--- a/rust/tests/test-rust-loading.c
+++ b/rust/tests/test-rust-loading.c
@@ -26,7 +26,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(NULL, RUST_PLUGIN_DIR, "rust");
 
diff --git a/tcc/tests/meson.build b/tcc/tests/meson.build
--- a/tcc/tests/meson.build
+++ b/tcc/tests/meson.build
@@ -10,4 +10,4 @@
 	dependencies : [GLIB, GOBJECT, TCC, gplugin_dep])
 test('TCC Loader', e)
 
-endif  # tcc
+endif # tcc
diff --git a/tcc/tests/test-tcc-loader.c b/tcc/tests/test-tcc-loader.c
--- a/tcc/tests/test-tcc-loader.c
+++ b/tcc/tests/test-tcc-loader.c
@@ -23,7 +23,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(TCC_LOADER_DIR, TCC_PLUGIN_DIR, "c");
 
diff --git a/vala/tests/test-genie-loading.c b/vala/tests/test-genie-loading.c
--- a/vala/tests/test-genie-loading.c
+++ b/vala/tests/test-genie-loading.c
@@ -26,7 +26,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(NULL, GENIE_PLUGIN_DIR, "genie");
 
diff --git a/vala/tests/test-vala-loading.c b/vala/tests/test-vala-loading.c
--- a/vala/tests/test-vala-loading.c
+++ b/vala/tests/test-vala-loading.c
@@ -26,7 +26,7 @@
 gint
 main(gint argc, gchar **argv)
 {
-	g_test_init(&argc, &argv, NULL);
+	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
 	gplugin_loader_tests_main(NULL, VALA_PLUGIN_DIR, "vala");
 
